Subject: Re: [PATCH v2 4/7] bestcomm: core bestcomm support for Freescale MPC5200

From: Sven Luther <[email-masked]>
Date: Sun, 14 Oct 2007 22:25:35 +0200

On Sun, Oct 14, 2007 at 02:22:16PM -0600, Grant Likely wrote:
> On 10/14/07, Sven Luther <[email-masked]> wrote:
> > On Sat, Oct 13, 2007 at 10:42:05PM -0600, Grant Likely wrote:
> > > From: Sylvain Munaut <[email-masked]>
> > >
> > > This patch adds support for the core of the BestComm API
> > > for the Freescale MPC5200(b). The BestComm engine is a
> > > microcode-controlled / tasks-based DMA used by several
> > > of the onchip devices.
> > >
> > > Setting up the tasks / memory allocation and all common
> > > low level functions are handled by this patch.
> > > The specifics details of each tasks and their microcode
> > > are split-out in separate patches.
> > >
> > > This is not the official API, but a much cleaner one.
> > > (hopefully)
> > >
> > > Signed-off-by: Sylvain Munaut <[email-masked]>
> > > Signed-off-by: Grant Likely <[email-masked]>
> >
> > Hi Grant, ...
> >
> > I am unsure if this is a regression with regard to Sylvain's patch, or
> > somethign else, but it is no more possible to build bestcomm modular :
> 
> Hmmm, interesting.  I'll try that out here this afternoon.

Notice that domen said it was working, so it could have been a
mismanipulation on my part, or some problem with the debian patches.

The older patchset with 2.6.23-rc6 worked fine though, and making the
main bestcomm module builtin solved the error messages. I did not spot
anything obvious when looking at the code.

Friendly;

Sven Luther